#ifndef __mouse_h
#define __mouse_h

#define LEFT_MOUSE  1
#define RIGHT_MOUSE 2
#define LEFT_MOUSE_PRESSED( button ) ( ( ( button ) & LEFT_MOUSE ) != 0 )
#define RIGHT_MOUSE_PRESSED( button ) ( ( ( button ) & RIGHT_MOUSE ) != 0 )

boolean MOUSE_Init( void );
int32 MOUSE_GetButtons( void );
void MOUSE_GetPosition(	int32*x, int32*y	);
void MOUSE_GetDelta(	int32*x, int32*y	);

#endif /* __mouse_h */
